<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Jadwal Ruangan</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
<section class="section">
    <section class="section-header">
        <h1>Jadwal Ruangan</h1>
    </section>
    <section class="section-body">
        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div class="card">
                    <div class="card-header">
                        <h4>List</h4>
                        <div class="card-header-action">
                            <button href="" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#exampleModal">Tambah Data</button>

                            <div class="modal fade" id="exampleModal" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                <form th:action="@{/masters/jadwalRuangan/post}" method="post">
                                    <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <div class="form-group">
                                                <label>Ruangan</label>
                                                <select name="ruangan" class="form-control select2" id="ruangan">
                                                    <option value="" selected disabled>-- Pilih --</option>
                                                    <option th:each="data, row:${ruangan}"
                                                            th:text="${data.namaRuangan}"
                                                            th:value="${data.id}"></option>
                                                </select>
                                            </div>
                                            <div class="form-group">
                                                <label>Tanggal Mulai</label>
                                                <input type="date" class="form-control" name="tanggalPeminjaman">
                                            </div>
                                            <div class="form-group">
                                                <label>Tanggal Berakhir</label>
                                                <input type="date" class="form-control" name="tanggalPeminjamanBerakhir">
                                            </div>
                                            <div class="form-group">
                                                <label>Waktu Mulai</label>
                                                <input type="time" class="form-control" name="waktuPeminjamanMulaiString">
                                            </div>
                                            <div class="form-group">
                                                <label>Waktu Berakhir</label>
                                                <input type="time" class="form-control" name="waktuPeminjamanBerakhirString">
                                            </div>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                            <button type="submit" class="btn btn-primary">Save changes</button>
                                        </div>
                                    </div>
                                </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped">
                                <thead>
                                <tr>
                                    <th>*</th>
                                    <th>Ruangan</th>
                                    <th>Tanggal</th>
                                    <th>Jam Mulai</th>
                                    <th>Jam Berakhir</th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="data, row:${listData}">
                                    <td th:text="${(row.index + 1)}"></td>
                                    <td th:text="${data.ruangan.namaRuangan}"></td>
                                    <td th:text="${data.tanggalPeminjaman}"></td>
                                    <td th:text="${data.waktuPeminjamanMulaiString}"></td>
                                    <td th:text="${data.waktuPeminjamanBerakhirString}"></td>
                                    <td>
                                        <span class="btn btn-success btn-sm" th:if="${data.statusPeminjaman == 'APPROVED'}">APPROVED</span>
                                        <span class="btn btn-warning btn-sm" th:if="${data.statusPeminjaman == 'WAITING'}">WAITING</span>
                                    </td>
                                </tr>
                                </tbody>
                                
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</section>
</div>
</body>
</html>